2016-08-01 2 views
3

Jedes Mal, wenn ich ein npm init dann npm install react - ich erhalte diese StörungFehler bei der Installation Reagieren

── unerfüllten PEER DEPENDENCY [email protected]

npm WARN [email protected] ein Peer erfordert von react @> = 0.13.0 < 1.0.0, aber keine wurde installiert.
npm WARN [email protected] erfordert einen Peer von react @> = 0.13.0 < 0.15.0 ||^0.14.0-beta3 aber keiner war installiert.
npm WARN [email protected] erfordert einen Peer von [email protected]~15.2.0 aber keiner wurde installiert.
npm WARN [email protected] erfordert einen Peer von [email protected]||0.14.x aber keiner wurde installiert. npm ERR! Code 1

Dies ist mein Knoten v6.3.0 und npm 3.10.3 Versionen.

Antwort

0
npm install react --no-optional 
+0

Ich bekomme diese Fehler unerfüllten PEER DEPENDENCY [email protected] [email protected] │ Object── [email protected] object── [email protected] –

0

In Ihrem Projektverzeichnis, können Sie bitte zuerst die folgenden Befehle ausführen: -

1) rm -rf node_modules 
2) Try installig react again now and other packages which are in your package.json file. 
Verwandte Themen